/**
 * Copyright 2014 SAP AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.spotter.shared.result;

/**
 * Constants for Result Locations.
 * 
 * @author Alexander Wert
 * 
 */
public final class ResultsLocationConstants {

	/**
	 * private constructor because of utility class.
	 */
	private ResultsLocationConstants() {

	}

	public static final String TXT_REPORT_FILE_NAME = "SpotterReport.txt";
	public static final String RESULTS_SERIALIZATION_FILE_NAME = "results.ser";
	public static final String CSV_SUB_DIR = "csv";
	public static final String RESULT_RESOURCES_SUB_DIR = "result-details";

}
